Bug 1195834 (CVE-2022-23773)

Summary: VUL-0: CVE-2022-23773: go1.16,go1.17: incorrect access control in cmd/go
Product: [Novell Products] SUSE Security Incidents Reporter: Gabriele Sonnu <gabriele.sonnu>
Component: IncidentsAssignee: Jeff Kowalczyk <jkowalczyk>
Status: NEW --- QA Contact: Security Team bot <security-team>
Severity: Minor    
Priority: P3 - Medium CC: smash_bz
Version: unspecified   
Target Milestone: ---   
Hardware: Other   
OS: Other   
URL: https://smash.suse.de/issue/323500/
Whiteboard: CVSSv3.1:SUSE:CVE-2022-23773:5.0:(AV:L/AC:L/PR:L/UI:R/S:U/C:N/I:H/A:N)
Found By: Security Response Team Services Priority:
Business Priority: Blocker: ---
Marketing QA Status: --- IT Deployment: ---

Description Gabriele Sonnu 2022-02-11 13:24:50 UTC
A branch whose name resembles a version tag (such as "v1.0.0" or "subdir/v2.0.0-dev") can be considered a valid version by the go command. Materializing versions from branches might be unexpected and bypass ACLs that limit the creation of tags but not branches.

This is CVE-2022-23773 and Go issue https://github.com/golang/go/issues/35671.

References:
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2022-23773
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2022-23773
https://groups.google.com/g/golang-announce/c/SUsQn0aSgPQ
Comment 1 Gabriele Sonnu 2022-02-11 13:51:39 UTC
This was fixed in Go versions 1.16.14 and 1.17.7. 

Upstream patches:

go1.16: 
https://github.com/golang/go/commit/de76489a1b1cfce6b1258040c15b18ed97847758

go1.17:
https://github.com/golang/go/commit/fbcc30a2c9d076b27b4b411e2cec91ec13528081
Comment 2 OBSbugzilla Bot 2022-02-11 22:00:07 UTC
This is an autogenerated message for OBS integration:
This bug (1195834) was mentioned in
https://build.opensuse.org/request/show/953824 Factory / go1.16
https://build.opensuse.org/request/show/953825 Factory / go1.17
Comment 5 Swamp Workflow Management 2022-03-04 14:21:38 UTC
SUSE-SU-2022:0723-1: An update that solves three vulnerabilities and has one errata is now available.

Category: security (important)
Bug References: 1190649,1195834,1195835,1195838
CVE References: CVE-2022-23772,CVE-2022-23773,CVE-2022-23806
JIRA References: 
Sources used:
SUSE Manager Server 4.1 (src):    go1.17-1.17.7-1.20.1
SUSE Manager Retail Branch Server 4.1 (src):    go1.17-1.17.7-1.20.1
SUSE Manager Proxy 4.1 (src):    go1.17-1.17.7-1.20.1
SUSE Linux Enterprise Server for SAP 15-SP2 (src):    go1.17-1.17.7-1.20.1
SUSE Linux Enterprise Server 15-SP2-LTSS (src):    go1.17-1.17.7-1.20.1
SUSE Linux Enterprise Server 15-SP2-BCL (src):    go1.17-1.17.7-1.20.1
SUSE Linux Enterprise Realtime Extension 15-SP2 (src):    go1.17-1.17.7-1.20.1
SUSE Linux Enterprise Module for Development Tools 15-SP3 (src):    go1.17-1.17.7-1.20.1
SUSE Linux Enterprise High Performance Computing 15-SP2-LTSS (src):    go1.17-1.17.7-1.20.1
SUSE Linux Enterprise High Performance Computing 15-SP2-ESPOS (src):    go1.17-1.17.7-1.20.1
SUSE Enterprise Storage 7 (src):    go1.17-1.17.7-1.20.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 6 Swamp Workflow Management 2022-03-04 14:25:31 UTC
openSUSE-SU-2022:0723-1: An update that solves three vulnerabilities and has one errata is now available.

Category: security (important)
Bug References: 1190649,1195834,1195835,1195838
CVE References: CVE-2022-23772,CVE-2022-23773,CVE-2022-23806
JIRA References: 
Sources used:
openSUSE Leap 15.4 (src):    go1.17-1.17.7-1.20.1
openSUSE Leap 15.3 (src):    go1.17-1.17.7-1.20.1
Comment 7 Swamp Workflow Management 2022-03-04 14:28:39 UTC
openSUSE-SU-2022:0724-1: An update that solves three vulnerabilities and has one errata is now available.

Category: security (important)
Bug References: 1182345,1195834,1195835,1195838
CVE References: CVE-2022-23772,CVE-2022-23773,CVE-2022-23806
JIRA References: 
Sources used:
openSUSE Leap 15.4 (src):    go1.16-1.16.14-1.43.1
openSUSE Leap 15.3 (src):    go1.16-1.16.14-1.43.1
Comment 8 Swamp Workflow Management 2022-03-04 14:31:56 UTC
SUSE-SU-2022:0724-1: An update that solves three vulnerabilities and has one errata is now available.

Category: security (important)
Bug References: 1182345,1195834,1195835,1195838
CVE References: CVE-2022-23772,CVE-2022-23773,CVE-2022-23806
JIRA References: 
Sources used:
SUSE Manager Server 4.1 (src):    go1.16-1.16.14-1.43.1
SUSE Manager Retail Branch Server 4.1 (src):    go1.16-1.16.14-1.43.1
SUSE Manager Proxy 4.1 (src):    go1.16-1.16.14-1.43.1
SUSE Linux Enterprise Server for SAP 15-SP2 (src):    go1.16-1.16.14-1.43.1
SUSE Linux Enterprise Server 15-SP2-LTSS (src):    go1.16-1.16.14-1.43.1
SUSE Linux Enterprise Server 15-SP2-BCL (src):    go1.16-1.16.14-1.43.1
SUSE Linux Enterprise Realtime Extension 15-SP2 (src):    go1.16-1.16.14-1.43.1
SUSE Linux Enterprise Module for Development Tools 15-SP4 (src):    go1.16-1.16.14-1.43.1
SUSE Linux Enterprise Module for Development Tools 15-SP3 (src):    go1.16-1.16.14-1.43.1
SUSE Linux Enterprise High Performance Computing 15-SP2-LTSS (src):    go1.16-1.16.14-1.43.1
SUSE Linux Enterprise High Performance Computing 15-SP2-ESPOS (src):    go1.16-1.16.14-1.43.1
SUSE Enterprise Storage 7 (src):    go1.16-1.16.14-1.43.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.